package com.ruoyi.web.work.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;
/**
 * @author lsw
 * @date 2024-07-03
 */
@Data
@TableName(value = "tb_task_list")
@Accessors(chain = true)
public class TaskList{
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "乙方id")
    private Long userId;

    @ApiModelProperty(value = "甲方id")
    private Long enterpriseId;

    @ApiModelProperty(value = "任务id")
    private Long taskId;

    @ApiModelProperty(value = "任务图片")
    private String pic;

    @ApiModelProperty(value = "是否查看:0=待查看,1=已查看")
    private Integer isRead;

    @ApiModelProperty(value = "任务内容")
    private String contents;

    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField(exist = false)
    private Integer role;


}
