package com.ruoyi.web.work.domain.dto;

import lombok.Data;

import javax.validation.constraints.*;
import java.math.BigDecimal;

@Data
public class PayCashOutDto {

    @NotNull(message = "提现金额不能为空")
    @Digits(integer = 10, fraction = 2, message = "提现金额只能包含最多两位小数")
    @DecimalMin(value = "0.01", message = "提现金额必须大于0")
    private BigDecimal money;

    @NotNull(message = "实际到账金额不能为空")
    private BigDecimal realMoney;

    @NotNull(message = "服务费不能为空")
    private BigDecimal serviceMoney;

    @NotNull(message = "提现方式不能为空")
    @Min(value = 0, message = "提现方式错误")
    @Max(value = 1, message = "提现方式错误")
    private Integer way;
}
